Subject: bug#19155: viewer for dvi output on mac os x

From: jfbu <[email-masked]>
Date: Sun, 23 Nov 2014 14:51:24 +0100

Hi,

currently TeX-view-program-selection, when it detects
a mac os x system,
associates output-dvi to viewer "open" which in turn
in TeX-view-program-list-builtin
is mapped to do "open %o"

However the effect of this ultimate system call
(as one can also see doing  "open file.dvi"
directly in a Terminal or via "!" in a dired buffer)
is first to convert the dvi to pdf format and then
open it in a pdf viewer. (tested on mac os x mavericks)

(Note: people with TeXShop installed or similar will
perhaps have another experience of how the system reacts
to "open file.dvi", but of course, I address
here the issue of using emacs+auctex, not TeXShop)

This pretty much defeats the whole purpose of having
chosen dvi as output format!

Perhaps I missed something obvious, but anyway, some
years back I had to deal with this issue, and I describe
here how I went about it:

I defined a "xdvi" entry in TeX-view-program-list,
which is the same as the one I found destined
to Linux systems in TeX-view-program-list-builtin,
with the sole difference of having replaced

"%(o?)xdvi"

with

"open -a XQuartz && %(o?)xdvi"

I then customized TeX-view-program-selection
to let it map output-dvi not to "open" but to this "xdvi" viewer.

I don't know how people go about it, but I
am curious why I had to do these things,
and why this is not the default in AUCTeX, on mac os x.

(I hope only naivety and not arrogance will be seen
in my belief that my private customizations should
be made world-wide default ;-) the point of my message
is to ask if someone has a better way to go about this)

Best wishes,

Jean-Francois